org.apache.ivy.core.module.descriptor

## Interface IncludeRule

All Superinterfaces:
  ExtendableItem

All Known Implementing Classes:
  DefaultIncludeRule

    public interface IncludeRule
    extends ExtendableItem

This describes a rule of inclusion. It is used to resctrict the artifacts and modules asked for a dependency, by including only modules and artifacts matching the rule

### Method Summary

Methods
`java.lang.String[]` `getConfigurations()` Returns the configurations of the module in which the artifact is asked
`ArtifactId` `getId()` Returns the id of the described artifact, without revision information
`PatternMatcher` `getMatcher()` Returns the matcher to use to know if an artifact match the current descriptor

### Methods inherited from interface org.apache.ivy.util.extendable.ExtendableItem

`getAttribute, getAttributes, getExtraAttribute, getExtraAttributes, getQualifiedExtraAttributes`

### Method Detail

#### getId

    ArtifactId getId()

Returns the id of the described artifact, without revision information

Returns:

#### getConfigurations

    java.lang.String[] getConfigurations()

Returns the configurations of the module in which the artifact is asked

Returns:
  an array of configuration names in which the artifact is asked

#### getMatcher

    PatternMatcher getMatcher()

Returns the matcher to use to know if an artifact match the current descriptor

Returns: